Bug 233125 - Some firefox extension don't survive after firefox upgrade or install any other extension
Some firefox extension don't survive after firefox upgrade or install any oth...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-20 11:41 EDT by Yijun Yuan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 15:25:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yijun Yuan 2007-03-20 11:41:21 EDT
Description of problem:
These firefox extensions: 
* "official" del.icio.us for firefox
* google toolbar
* foxyproxy
don't work any longer when firefox upgrade from 2.0.0.1 to 2.0.0.2.

Also, they can only be installed & used on a "clean" firefox profile. If any
firefox extension is installed by the user first,  these extensions could be
installed, but they just don't work.

A third description: when they are installed on a "clean" profile, they work
well. But I cannot install other extensions, or they will stop working.

In either case(after a change), run firefox in the terminal, it first segfaults,
then can startup normally.


Version-Release number of selected component (if applicable):
firefox-2.0.0.2-2.fc7

How reproducible:
everytime

Steps to Reproduce:
1. install del.icio.us to a "clean" profile
2. restart firefox and then configure del.icio.us to work.
3.  install another extension, such as foxyproxy
4. restart firefox again

  
Actual results:
firefox segfaults. It could be started in a second try, but those extensions
don't work.


Expected results:
firefox should start normally, and all extensions should work as usual.


Additional info:
the "official" firefox downloaded from mozilla.com works well, so this is fedora
specific.
Comment 1 Christopher Aillon 2007-03-20 13:19:44 EDT
Martin, please have a look at this.
Comment 2 Martin Stransky 2007-03-20 13:35:11 EDT
okay
Comment 3 Martin Stransky 2007-03-26 10:02:51 EDT
Can you please check to update to firefox-2.0.0.2-3.fc7?

Anyway, I can't reproduce it. I installed google toolbar/foxyproxy extensions to
a clear FX 2.0.0.2-2, updated to 2.0.0.2-3 and toolbar/foxyproxy were here.

It could be a problem with del.icio.us, but I didn't check it. It needs an ugly
registration. Can you please check the update without it? (i.e. remove it and
then update the system)
Comment 4 Yijun Yuan 2007-03-27 13:13:29 EDT
Hi, 

I cannot find the old version of firefox so I just tried with some new profile.
It seems this has nothing to do with del.icio.us plugin. It is because of the
"colorzilla" addon (strange!) When I uninstalled the "colorzilla" plugin, all of
the other plugins come back to life now.

Will you look into this?

Thanks!
Comment 5 Christopher Aillon 2007-03-27 13:18:07 EDT
Odd.  It could simply be a bug in colorzilla.  I think that this should be
reported there.  We don't ship colorzilla so there's not much i can do to fix it....
Comment 6 Yijun Yuan 2007-03-27 21:31:51 EDT
(In reply to comment #5)
> Odd.  It could simply be a bug in colorzilla.  I think that this should be
> reported there.  We don't ship colorzilla so there's not much i can do to fix
it....

Well, I don't agree. It only breaks in rawhide firefox, not with "official"
downloaded version. Also, please open firefox in the terminal, see how many
times it crashes when starting up/exiting.

Thanks!
Comment 7 Martin Stransky 2007-04-12 07:13:35 EDT
If it crashes, please attach a backtrace here. run "firefox -g" from terminal,
run it and when it crashes, type "bt" and attach it here.
Comment 8 Matěj Cepl 2007-08-01 15:25:21 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.